com.io7m.r2.filters

## Class R2FilterEmissionParameters.Builder

- java.lang.Object
- - com.io7m.r2.filters.R2FilterEmissionParameters.Builder

- Enclosing class:
    R2FilterEmissionParameters

      public static final class R2FilterEmissionParameters.Builder
      extends Object

  Builds instances of type `R2FilterEmissionParameters`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2FilterEmissionParameters` | `build()` Builds a new `R2FilterEmissionParameters`.
    `R2FilterEmissionParameters.Builder` | `from(R2FilterEmissionParametersType instance)` Fill a builder with attribute values from the provided `R2FilterEmissionParametersType` instance.
    `R2FilterEmissionParameters.Builder` | `setAlbedoEmissionMap(R2Texture2DUsableType albedoEmissionMap)` Initializes the value for the `albedoEmissionMap` attribute.
    `R2FilterEmissionParameters.Builder` | `setBlurParameters(Optional<R2BlurParameters> blurParameters)` Initializes the optional value `blurParameters` to blurParameters.
    `R2FilterEmissionParameters.Builder` | `setBlurParameters(R2BlurParameters blurParameters)` Initializes the optional value `blurParameters` to blurParameters.
    `R2FilterEmissionParameters.Builder` | `setEmissionIntensity(float emissionIntensity)` Initializes the value for the `emissionIntensity` attribute.
    `R2FilterEmissionParameters.Builder` | `setGlowIntensity(float glowIntensity)` Initializes the value for the `glowIntensity` attribute.
    `R2FilterEmissionParameters.Builder` | `setOutputFramebuffer(com.io7m.jcanephora.core.JCGLFramebufferUsableType outputFramebuffer)` Initializes the optional value `outputFramebuffer` to outputFramebuffer.
    `R2FilterEmissionParameters.Builder` | `setOutputFramebuffer(Optional<com.io7m.jcanephora.core.JCGLFramebufferUsableType> outputFramebuffer)` Initializes the optional value `outputFramebuffer` to outputFramebuffer.
    `R2FilterEmissionParameters.Builder` | `setOutputViewport(com.io7m.jareas.core.AreaInclusiveUnsignedLType outputViewport)` Initializes the value for the `outputViewport` attribute.
    `R2FilterEmissionParameters.Builder` | `setScale(float scale)` Initializes the value for the `scale` attribute.
    `R2FilterEmissionParameters.Builder` | `setTextureDefaults(R2TextureDefaultsType textureDefaults)` Initializes the value for the `textureDefaults` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final R2FilterEmissionParameters.Builder from(R2FilterEmissionParametersType instance)

      Fill a builder with attribute values from the provided `R2FilterEmissionParametersType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setTextureDefaults

          public final R2FilterEmissionParameters.Builder setTextureDefaults(R2TextureDefaultsType textureDefaults)

      Initializes the value for the `textureDefaults` attribute.
      Parameters:
        `textureDefaults` - The value for textureDefaults
      Returns:
        `this` builder for use in a chained invocation

    - #### setOutputFramebuffer

          public final R2FilterEmissionParameters.Builder setOutputFramebuffer(com.io7m.jcanephora.core.JCGLFramebufferUsableType outputFramebuffer)

      Initializes the optional value `outputFramebuffer` to outputFramebuffer.
      Parameters:
        `outputFramebuffer` - The value for outputFramebuffer
      Returns:
        `this` builder for chained invocation

    - #### setOutputFramebuffer

          public final R2FilterEmissionParameters.Builder setOutputFramebuffer(Optional<com.io7m.jcanephora.core.JCGLFramebufferUsableType> outputFramebuffer)

      Initializes the optional value `outputFramebuffer` to outputFramebuffer.
      Parameters:
        `outputFramebuffer` - The value for outputFramebuffer
      Returns:
        `this` builder for use in a chained invocation

    - #### setOutputViewport

          public final R2FilterEmissionParameters.Builder setOutputViewport(com.io7m.jareas.core.AreaInclusiveUnsignedLType outputViewport)

      Initializes the value for the `outputViewport` attribute.
      Parameters:
        `outputViewport` - The value for outputViewport
      Returns:
        `this` builder for use in a chained invocation

    - #### setAlbedoEmissionMap

          public final R2FilterEmissionParameters.Builder setAlbedoEmissionMap(R2Texture2DUsableType albedoEmissionMap)

      Initializes the value for the `albedoEmissionMap` attribute.
      Parameters:
        `albedoEmissionMap` - The value for albedoEmissionMap
      Returns:
        `this` builder for use in a chained invocation

    - #### setEmissionIntensity

          public final R2FilterEmissionParameters.Builder setEmissionIntensity(float emissionIntensity)

      Initializes the value for the `emissionIntensity` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `emissionIntensity`.

      Parameters:
        `emissionIntensity` - The value for emissionIntensity
      Returns:
        `this` builder for use in a chained invocation

    - #### setGlowIntensity

          public final R2FilterEmissionParameters.Builder setGlowIntensity(float glowIntensity)

      Initializes the value for the `glowIntensity` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `glowIntensity`.

      Parameters:
        `glowIntensity` - The value for glowIntensity
      Returns:
        `this` builder for use in a chained invocation

    - #### setBlurParameters

          public final R2FilterEmissionParameters.Builder setBlurParameters(R2BlurParameters blurParameters)

      Initializes the optional value `blurParameters` to blurParameters.
      Parameters:
        `blurParameters` - The value for blurParameters
      Returns:
        `this` builder for chained invocation

    - #### setBlurParameters

          public final R2FilterEmissionParameters.Builder setBlurParameters(Optional<R2BlurParameters> blurParameters)

      Initializes the optional value `blurParameters` to blurParameters.
      Parameters:
        `blurParameters` - The value for blurParameters
      Returns:
        `this` builder for use in a chained invocation

    - #### setScale

          public final R2FilterEmissionParameters.Builder setScale(float scale)

      Initializes the value for the `scale` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `scale`.

      Parameters:
        `scale` - The value for scale
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public R2FilterEmissionParameters build()

      Builds a new `R2FilterEmissionParameters`.
      Returns:
        An immutable instance of R2FilterEmissionParameters
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com